Bug Hunting Session
Bug 38199 - Writer EDITING: Why when I press tab in read-only mode, then the document scrolls to top?
Summary: Writer EDITING: Why when I press tab in read-only mode, then the document scr...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: x86 (IA32) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-View-Jumps Read-Only Tab-Character
  Show dependency treegraph
 
Reported: 2011-06-11 21:09 UTC by Bachue
Modified: 2019-10-02 02:55 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bachue 2011-06-11 21:09:52 UTC
I always press tab by accident, and the document scroll to top. I think it is abnormal.
Comment 1 Björn Michaelsen 2011-12-23 12:28:43 UTC Comment hidden (obsolete)
Comment 2 Florian Reisinger 2012-08-14 14:03:58 UTC Comment hidden (obsolete)
Comment 3 Florian Reisinger 2012-08-14 14:04:52 UTC Comment hidden (obsolete)
Comment 4 Florian Reisinger 2012-08-14 14:09:20 UTC Comment hidden (obsolete)
Comment 5 Florian Reisinger 2012-08-14 14:11:20 UTC Comment hidden (obsolete)
Comment 6 sasha.libreoffice 2012-09-12 15:29:40 UTC
reproduced in 3.6.1 on Fedora 64 bit
To reproduce: open read-only document, scroll it some pages, press Tab
To create such document use File->Properties, tab "Security", enable "Open file read only", press Ok, then File->Reload.
Comment 7 sophie 2014-12-31 13:26:40 UTC
Hi, still present in Version: 4.3.4.1
Build ID: bc356b2f991740509f321d70e4512a6a54c5f243 Ubuntu 14.10 - Sophie
Comment 8 QA Administrators 2016-01-17 20:04:44 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2017-03-06 14:30:01 UTC Comment hidden (obsolete)
Comment 10 Telesto 2017-04-27 12:59:56 UTC
Confirming with:
Version: 5.4.0.0.alpha0+
Build ID: a917902c48f21d04039da86048c5c36555137d7e
CPU threads: 4; OS: Windows 6.2; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-04-24_23:35:22
Comment 11 Harald Koester 2018-06-29 09:28:38 UTC
If hyperlinks are inserted in your document, the behaviour is different: Press tab jumps to the next occurence of a hyperlink. May be this is intended. But then it is not obvious at all and it's not documented in the help. For me this is buggy as well.
Comment 12 Jim Raykowski 2018-10-01 06:52:03 UTC
Hi All, 

Currently key input action for read only mode is defined at:
https://opengrok.libreoffice.org/xref/core/sw/source/uibase/docvw/edtwin.cxx#2162

Harald is correct about hyperlinks being traversed. This is the default action if one of two conditions for tab key action in read only mode are not met.

First a check is made to determine if a Graphic, Frame, Ole, DrawObject, or DbForm object is selected. If so, tab/shift tab will move to the next/previous object of these types.

Second a check is made to determine if there is no multiselection and if the cursor is inside and input field. If so, tab/shift tab will move to the next/previous input field.

I tested the first check by: 
1) inserting some shapes and frames into a document
2) saving the document
3) setting the document in read only mode
4) selecting a shape 
5) pressing tab to moved to the next shape or frame.

I did not test the second check when an input field is selected.
Comment 13 QA Administrators 2019-10-02 02:55:50 UTC
Dear Bachue,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug